BEEM - Android XMPP - Bug #384

NullPointerException dans MemorizingTrustManager
01/07/2012 03:14 PM - Romain Vimont

Status: Closed Start date: 01/07/2012
Priority: Normal Due date:

Assignee: Frédéric Barthéléry % Done: 100%
Category: Estimated time: 0.00 hour
Target version: 0.1.8

Affected version: 0.1.6 Locale:

Description

En me connectant sur un serveur qui me présentait un certificat autosigné, quand je I'ai accepté, j'ai eu un NullPointerException ligne
384 de MemorizingTrustManager, dans ce bout de code :

public static void interactResult (Intent i) {
int decisionId = i.getIntExtra (DECISION_INTENT_ID, MTMDecision.DECISION_INVALID);
int choice = i.getIntExtra (DECISION_INTENT_CHOICE, MTMDecision.DECISION_INVALID) ;
Log.d(TAG, "interactResult: " + decisionId + " chose " + choice);
Log.d(TAG, "openDecisions: " + openDecisions);

MTMDecision d;
synchronized (openDecisions) {
d = openDecisions.get (decisionId);
openDecisions.remove (decisionId) ;
}
synchronized(d) { // <-—— ligne 384 : d is Null
d.state = choice;
d.notify();

Je ne sais pas trop la cause (est-ce qu'un simple test d = null suffirait, ou alors cela traduit-il un probléme plus important, ou d ne
devrait jamais étre null ?).

Related issues:
Related to Feature #408: Update MITM library to the latest version Closed 01/31/2012

Associated revisions

Revision 975:d8305¢375b10 - 05/07/2012 09:57 PM - Frédéric Barthéléry

Update to the latest version of MemorizingTrustManager

Also fix the LeakedReceiver issue.

Fix bug #384

close #408

Mitm commit: 11b37471c5403c0510619278d453ca393405f162

Revision 998:d8305¢375b10 - 05/07/2012 09:57 PM - Frédéric Barthéléry

Update to the latest version of MemorizingTrustManager

Also fix the LeakedReceiver issue.

Fix bug #384

close #408

Mitm commit: 11b37471c5403c0510619278d453ca393405f162

History

#1-01/07/2012 04:11 PM - Frédéric Barthéléry
- Status changed from New to Assigned

- Assignee set to Frédéric Barthéléry

Salut Rom1,

Peux tu me poster les logs de Logcat ? C'est effectivement un probleme plus grave, d ne devrait jamais etre null
#2 - 02/21/2012 02:28 PM - Frédéric Barthéléry

- Target version set to 0.1.8

#3 - 05/07/2012 10:09 PM - Frédéric Barthéléry
- Status changed from Assigned to Resolved

- % Done changed from 0 to 100

#4 - 05/18/2012 02:57 PM - Frédéric Barthéléry

- Status changed from Resolved to Closed
